# KSPGetDiagonalScaleFix

Determines if KSP diagonally scales the system back after solving.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT KSPGetDiagonalScaleFix(KSP ksp,PetscTruth *fix)

Collective on KSP

### Input Parameter

ksp -the KSP context

### Output Parameter

fix -PETSC_TRUE to scale back after the system solve, PETSC_FALSE to not rescale (default)

### Notes

Must be called after KSPSetDiagonalScale()

If PETSC_TRUE will slow things down, because it rescales the matrix before and after each linear solve. This is intended mainly for testing to allow one to easily get back the original system to make sure the solution computed is accurate enough.

This routine is only used if the matrix and preconditioner matrix are the same thing.

### Keywords

KSP, set, options, prefix, database

### See Also

KSPGetDiagonalScale(), KSPSetDiagonalScale(), KSPSetDiagonalScaleFix()

Level:intermediate
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages